# Get Invoice Endpoint: GET /invoice/{invoice_id} Version: v1 Security: x-api-key, a-api-key ## Path parameters: - `invoice_id` (integer, required) ## Response 200 fields (application/json): - `row_num` (integer) - `total_rows` (integer) - `links` (object) - `links.self` (string) Example: "https://api.pracsuite.com/v1/invoice/1" - `tenant_id` (integer) - `invoice_id` (integer) - `client_id` (integer) - `account_id` (integer) - `invoice_date` (string) - `issued` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `due_date` (string) - `invoice_number` (integer) - `invoice_notes` (string) - `practice_notes` (string) - `business_id` (integer) - `payer_id` (integer) - `created` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `updated` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `created_by_user_id` (integer) - `updated_by_user_id` (integer) - `invoice_items` (array) - `invoice_items.invoice_item_id` (integer) - `invoice_items.item_time` (string) ISO 8601 local datetime in the tenant's timezone. Example: "2026-01-01T12:05:30" - `invoice_items.item_id` (integer) - `invoice_items.description` (string) - `invoice_items.debit` (number) - `invoice_items.paid` (number) - `invoice_items.discount` (number) - `invoice_items.write_off` (number) - `invoice_items.owing` (number) - `invoice_items.gst` (number) - `invoice_items.fee_cat_id` (integer) - `invoice_items.practitioner_id` (integer) - `invoice_items.quantity` (number) - `invoice_items.appointment_id` (integer) - `invoice_items.unit_price` (number) - `invoice_items.unit_discount` (number) - `invoice_items.unit_gst` (number) - `invoice_items.payment_items` (array) - `invoice_items.payment_items.payment_item_id` (integer) - `invoice_items.payment_items.payment_id` (integer) - `invoice_items.payment_items.amount` (number) - `invoice_items.payment_items.allocated_time` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" ## Response 400 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 400 - `error.code` (string) Example: "INVALID_PARAMS" - `error.detail` (string) Human readable explanation of the error Example: "One or more request parameters are invalid." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 401 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "UNAUTHORIZED" - `error.detail` (string) Human readable explanation of the error Example: "Access could not be verified for this request." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 403 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "MISSING_AUTHENTICATION_TOKEN" - `error.detail` (string) Human readable explanation of the error Example: "Authentication token is missing or the requested endpoint does not exist" - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 404 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 404 - `error.code` (string) Example: "NOT_FOUND" - `error.detail` (string) Human readable explanation of the error Example: "Could not find {Resource} with ID {ID_HERE}" - `request_id` (string) Example: "00000000-0000-0000-0000-000000000000" ## Response 500 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 500 - `error.code` (string) Example: "SERVER_ERROR" - `error.detail` (string) Human readable explanation of the error Example: "An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000"